$(document).ready(function() {
  var socket = io.connect();
  var tmp = "";

  var buttonClicked = (function(){
  	return {
  		status: function(){
  			socket.emit('statusReq');
  		},
  		calibration: function(){
  			socket.emit('calibrationReq');
  		},
  		log: function(){
  			socket.emit('logReq', { room: "logging"});
  		},
  		pairing: function(){
  			socket.emit('pairingReq');
  		}
  	};
  })();

  var getTimestamp = function(){
  	return (new Date()).toUTCString();
  };

  $("#buttons").on("click", "a", function(e){
  	e.preventDefault();
  	var buttonId = e.target.id;
  	if(buttonId !== "log"){
  		socket.emit("leaveLogging");
  	}
  	buttonClicked[buttonId]();
  	$(".well").empty();
  });

  socket.on("status", function(temp, data){
  	$(".well").append(temp.info + "<br>");
  	var txt = "";
  	$.each(data, function(i, key){
  		if(typeof key === "object"){
  			txt += i + ": {<br>";
  			$.each(key, function(i2, key2){
  				if(typeof key2 === "object"){
  					txt += " " + i2 + ": {<br>";
  					$.each(key2, function(i3, key3){
  						txt += " - " + i3 + ": " + key3 + "<br>";
  					});
  					txt += "  }<br>";
  				}else{
  					txt += "- " + i2 + ": " + key2 + "<br>";
  				}
  			});
  			txt += "}<br>";
  		}else{
  			txt += i + ": " + key + "<br>";
  		}
  	})
  	$(".well").append(txt);

  });

  socket.on("calibration", function(data){
  	$(".well").append(data.info + "<br>");
  });

  socket.on("log", function(data){
  	$(".well").append(data.info + "<br>");
  	$(".well").append(tmp);
  });

  socket.on("pairing", function(data){
  	$(".well").append(data.info + "<br>");
  });

  socket.on("logSession", function(data){
  	tmp += getTimestamp() + " : " + data + "<br>";
  	//sessionStorage.setItem("log", tmp);
  });

  socket.on("instantLog", function(data){
  	$(".well").append(getTimestamp() + " : " + data + "<br>").scrollTop(1000);
  });

});
